libzmf::ZMF4Parser::ObjectHeader Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
libzmf::ZMF4Parser::ObjectHeader Struct Reference

## Public Member Functions
| ObjectHeader ()

## Public Attributes
ObjectType | type
uint32_t | size
uint32_t | nextObjectOffset
boost::optional< uint32_t > | id
uint32_t | refObjCount
uint32_t | refListStartOffset

## Constructor & Destructor Documentation

## § ObjectHeader()

libzmf::ZMF4Parser::ObjectHeader::ObjectHeader | ( |  | ) |
| inline

## Member Data Documentation

## § id

boost::optional<uint32_t> libzmf::ZMF4Parser::ObjectHeader::id

Referenced by libzmf::ZMF4Parser::readArrow(), libzmf::ZMF4Parser::readBitmap(), libzmf::ZMF4Parser::readFill(), libzmf::ZMF4Parser::readFont(), libzmf::ZMF4Parser::readObjectHeader(), libzmf::ZMF4Parser::readParagraphStyle(), libzmf::ZMF4Parser::readPen(), libzmf::ZMF4Parser::readShadow(), libzmf::ZMF4Parser::readText(), and libzmf::ZMF4Parser::readTransparency().

## § nextObjectOffset

uint32_t libzmf::ZMF4Parser::ObjectHeader::nextObjectOffset

Referenced by libzmf::ZMF4Parser::readBitmap(), libzmf::ZMF4Parser::readDocumentSettings(), libzmf::ZMF4Parser::readGradient(), libzmf::ZMF4Parser::readLayer(), libzmf::ZMF4Parser::readObjectHeader(), libzmf::ZMF4Parser::readObjectRefs(), libzmf::ZMF4Parser::readPage(), and libzmf::ZMF4Parser::readPolygon().

## § refListStartOffset

uint32_t libzmf::ZMF4Parser::ObjectHeader::refListStartOffset

Referenced by libzmf::ZMF4Parser::readObjectHeader(), and libzmf::ZMF4Parser::readPolygon().

## § refObjCount

uint32_t libzmf::ZMF4Parser::ObjectHeader::refObjCount

Referenced by libzmf::ZMF4Parser::readObjectHeader(), and libzmf::ZMF4Parser::readObjectRefs().

## § size

uint32_t libzmf::ZMF4Parser::ObjectHeader::size

Referenced by libzmf::ZMF4Parser::readObjectHeader(), and libzmf::ZMF4Parser::readText().

## § type

ObjectType libzmf::ZMF4Parser::ObjectHeader::type

Referenced by libzmf::ZMF4Parser::readDocumentSettings(), libzmf::ZMF4Parser::readLayer(), libzmf::ZMF4Parser::readObjectHeader(), and libzmf::ZMF4Parser::readPage().

The documentation for this struct was generated from the following file:

- ZMF4Parser.h